@import './../../../../scss/variables.scss';
@import './../../../../../node_modules/bulma/sass/utilities/_all.sass';

$spacing: 30px;
$date: 120px;
$dotborder: 2px;
$dot: 7px;
$line: 2px;

/* Base */

.description {

  @media screen and (min-width: $desktop) {
    margin-left: 6rem;
    width: 70%;
  }
}

strong {
  font-weight: 600;
}

#content {
  margin-top: $spacing;
  text-align: center;
}

/* Timeline */

.timeline {
  border-left: $line solid $grey-super-light-color;
  position: relative;
  line-height: 1.4em;
  font-size: 1.03em;
  padding: $spacing;
  text-align: left;
  margin-left: 10%;

  @media screen and (min-width: $tablet) {
    margin-left: 33%;
  }

  .last-update {
    display: inline-block;
    position: absolute;
    left: -137px;
    text-align: right;
    font-size: 0.75rem;
    top: 15px;
    padding: 0 5px 0 5px;
    border: 1px solid $tomato-color;

    &.is-hidden-tablet {
      left: 30px;
      line-height: 1;
      padding: 3px 5px 3px 5px;
      top: -20px;
      text-align: left;
    }
  }

  .event {
    padding-bottom: ($spacing * 0.5);
    position: relative;

    .version {
      line-height: 1;
      font-weight: bold;
      font-size: 1.375rem;
    }

    .type-change {
      margin-bottom: 2rem;
    }

    .type-change-title {
      font-size: 0.75rem;
      font-weight: 600;
      margin-bottom: 0.5rem;

      @media screen and (min-width: $tablet) {
        font-size: 0.875rem;
      }
    }

    ul {
      list-style: none;
      padding: 0;
      margin: 0;
      line-height: 1.2rem;

      @media screen and (min-width: $tablet) {
        line-height: unset;
      }

      li::before {
        font-family: "Open sans", sans-serif;
        content: "• ";
        color: $tomato-color;
        font-size: 1.25rem;
        vertical-align: sub;
      }
    }

    &:last-of-type {
      padding-bottom: 0;
      margin-bottom: 0;
      border: none;
    }

    &::before,
    &::after {
      position: absolute;
      display: block;
      top: 0;
    }

    &::before {
      content: attr(data-date);
      text-align: right;
      font-weight: 600;
      font-size: 0.75rem;
      min-width: $date;
      top: -30px;
      left: -60px;

      @media screen and (min-width: $tablet) {
        left: ((($date * 0.6) + $spacing + $line + $dot + ($dotborder * 2)) * 1.5) * -1;
        top: unset;
        font-size: 0.875rem;
      }
    }

    &::after {
      box-shadow: 0 0 0 $dotborder white;
      left: ($spacing + $line + ($dot * 0.35)) * -1;
      background: $grey-dark-color;
      border-radius: 50%;
      height: $dot;
      width: $dot;
      content: "";
      top: 5px;
    }

    &:first-of-type {
      &::after {
        background: $tomato-color;
        height: 13px;
        width: 13px;
        left: round(($spacing + $line + (13 * 0.35)) * -1);
      }
    }
  }
}
